#
# spec file for package rubygem-aquarium
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           rubygem-aquarium
Version:        0.5.1
Release:        2.7
%define mod_name aquarium
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
Url:            http://aquarium.rubyforge.org
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        Aquarium-0.5.1 (r7) - Aspect-Oriented Programming toolkit for Ruby
License:        MIT
Group:          Development/Languages/Ruby

%description
Aquarium is a full-featured Aspect-Oriented Programming (AOP) framework
for Ruby that is 
designed to provide an intuitive syntax and support for large-scale, dynamic
aspects.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGES README" \
  -f

%gem_packages

%changelog
* Wed Aug  1 2012 coolo@suse.com
- updated to version 0.5.1
* Thu Jun 10 2010 mrueckert@suse.de
- use rubygems_requires macro
* Mon Dec 21 2009 prusnak@suse.cz
- updated to 0.4.4
* Thu Jan 15 2009 mrueckert@suse.de
- initial package of version 0.4.3
